[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| RFStopVisiting Class Reference |

The default visitor node (= "do nothing"). More...

`#include <vigra/random_forest_3/random_forest_visitors.hxx>`

Inheritance diagram for RFStopVisiting:

## Additional Inherited Members
Public Member Functions inherited from RFVisitorBase
void | activate ()
| Activate the visitor.
void | deactivate ()
| Deactivate the visitor.
bool | is_active () const
| Return whether the visitor is active or not.
template<typename TREE , typename FEATURES , typename LABELS , typename WEIGHTS , typename SCORER , typename ITER >
void | visit_after_split (TREE &, FEATURES &, LABELS &, WEIGHTS &, SCORER &, ITER, ITER, ITER)
| Do something after the split was made.
template<typename VISITORS , typename RF , typename FEATURES , typename LABELS >
void | visit_after_training (VISITORS &, RF &, const FEATURES &, const LABELS &)
| Do something after all trees have been learned. More...
template<typename RF , typename FEATURES , typename LABELS , typename WEIGHTS >
void | visit_after_tree (RF &, FEATURES &, LABELS &, WEIGHTS &)
| Do something after a tree has been learned.
void | visit_before_training ()
| Do something before training starts.
template<typename TREE , typename FEATURES , typename LABELS , typename WEIGHTS >
void | visit_before_tree (TREE &, FEATURES &, LABELS &, WEIGHTS &)
| Do something before a tree has been learned. More...

## Detailed Description

The default visitor node (= "do nothing").

The documentation for this class was generated from the following file:

- vigra/random_forest_3/random_forest_visitors.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1 (Fri May 19 2017)